# メトリクス 特定のメトリックデータを監視して、アセットのパフォーマンスをほぼリアルタイムで測定します。ストリーミングネットワークデータには、次のメトリックが含まれます。 * ポート帯域幅使用メトリクスは、ポートが送信(tx)または受信(rx)したデータのビット/秒(bit/s)出力を提供します。 * 接続帯域幅は、クラウド・ルーターとポート間、クラウド・ルーターとクラウド・サービス・プロバイダー間の、ポートをa側とする接続で送信(tx)または受信(rx)されるデータのビット/秒(bit/s)出力を提供します。 * 都市圏レイテンシメトリクスは、単一の[サブスクライブメトロコード](https://docs.equinix.com/ja/observability/streaming-data/api-managing-assets.md#metros)から他の都市圏へのレイテンシと、すべての都市圏ペア間のレイテンシをミリ秒単位で提供します。 * ポート・エラーおよびドロッピング・メトリクスは、パケット・フォーマット、伝送エラー、またはポートがパケットを受け入れる帯域幅を持たない場合に発生する、特定のポートでのパケット廃棄数を提供します。 * Connection Packet Dropped Metricsは、送信データ(tx)または受信データ(rx)の両方で、帯域幅の制限を超えたために接続でドロップされたパケット数を提供します。接続のポートサイドでのみ使用可能です。 各アセットの[サポートされているメトリクスのリファレンスを参照してください。](https://github.com/equinix/equinix-cloudevents?tab=readme-ov-file#metrics) ## メトリクスの表示[​](#メトリクスの表示 "への直接リンクメトリクスの表示") カスタマーポータルで個々のポートまたは仮想接続のメトリクスを表示できます。使用状況とパケットドロップメトリクスを使用できます。 1. [\[カスタマーポータル\]](http://portal.equinix.com)>\[ファブリックダッシュボード]にサインインします。 2. \_ポートインベントリ\_または\_接続インベントリ\_に移動します。 3. ポートまたは仮想接続を選択します。 4. [ポートの詳細](https://docs.equinix.com/ja/fabric/ports/fabric-port-utilization.md#metrics)ページまたは[接続の詳細](https://docs.equinix.com/ja/fabric/managing-connections/fabric-connection-traffic.md#metrics)ページで、\_メトリクスを\_クリックします。 ![接続使用状況メトリクステーブルの例](https://docs.equinix.com/ja/assets/images/example-metrics-connection-usage-f8277d85775d287d816ecfc676393ebe.png) ## APIからのメトリクス表示[​](#apiからのメトリクス表示 "への直接リンクAPIからのメトリクス表示") Equinix APIから個々のアセットのメトリクスを取得できます。 ### メトロ間遅延[​](#メトロ間遅延 "への直接リンクメトロ間遅延") 2つの都市圏間のレイテンシを表示するには、次のようにエンドポイントにリクエストを[`/fabric/v4///metrics`](https://docs.equinix.com/ja/api-catalog/fabricv4/metrics/getmetricbyassetid.md)送信します。`GET` * `asset`は`metros` * `asset_id` 2文字の都市圏コード * リクエストのクエリパラメータとしてを指定します。`name=equinix.fabric.metro._.latency` サンプルcURLリクエスト: ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/metros/SV/metrics?name=equinix.fabric.metro.sv_am.latency' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` 回答例 ``` { "pagination": { "offset": 0, "limit": 10, "total": 3, "next": null, "previous": null }, "data": [ { "type": "GAUGE", "name": "equinix.fabric.metro.sv_am.latency", "unit": "ms", "resource": { "href": "https://uatapi.equinix.com/fabric/v4/metros/SV", "type": "XF_METRO", "description": "Silicon Valley to Amsterdam intermetro latency, average in milliseconds" }, "summary": { "mean": 136.9, "max": 137 }, "datapoints": [ { "endDateTime": "2025-06-05T18:50:03Z", "value": 137 }, { "endDateTime": "2025-06-05T18:55:03Z", "value": 137 }, { "endDateTime": "2025-06-05T19:00:03Z", "value": 137 }, { "endDateTime": "2025-06-05T19:05:03Z", "value": 137 } ] } ] } ``` すべての都市圏ペア間のリアルタイムのレイテンシを表示するには、エンドポイントにリクエストを[`/fabric/v4/metrics`](https://docs.equinix.com/ja/api-catalog/fabricv4/metrics/getmetricbyname.md)送信します。`GET`クエリパラメータで、以下を指定します。 * `name=equinix.fabric.metro.*.latency`および。`value=last` * 必要に応じて、結果から返すメトリックタイプの数を指定するパラメータを含めます。`limit=` * オプションで、スキップする結果の数を指定するパラメータを含める。`offset=` サンプルcURLリクエスト: ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/metrics?value=last&limit=3&name=equinix.fabric.metro.*.latency' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` 回答例 ``` { "pagination": { "offset": 0, "limit": 3, "total": 4112, "next": "/metrics?offset=3&limit=3&fromDateTime=2026-01-29T18:05:44.041Z&name=equinix.fabric.metro.*.latency&toDateTime=2026-01-30T18:05:44.041Z" }, "data": [ { "type": "GAUGE", "name": "equinix.fabric.metro.am_at.latency", "unit": "ms", "resource": { "href": "https://api.equinix.com/fabric/v4/metros/AM", "type": "XF_METRO", "code": "AM", "description": "Amsterdam to Atlanta intermetro latency, average in milliseconds" }, "datapoints": [ { "endDateTime": "2026-01-30T18:05:00Z", "value": 94.7 } ] }, { "type": "GAUGE", "name": "equinix.fabric.metro.am_ba.latency", "unit": "ms", "resource": { "href": "https://api.equinix.com/fabric/v4/metros/AM", "type": "XF_METRO", "code": "AM", "description": "Amsterdam to Barcelona intermetro latency, average in milliseconds" }, "datapoints": [ { "endDateTime": "2026-01-30T18:05:00Z", "value": 28.8 } ] }, { "type": "GAUGE", "name": "equinix.fabric.metro.am_bg.latency", "unit": "ms", "resource": { "href": "https://api.equinix.com/fabric/v4/metros/AM", "type": "XF_METRO", "code": "AM", "description": "Amsterdam to Bogota intermetro latency, average in milliseconds" }, "datapoints": [ { "endDateTime": "2026-01-30T18:05:00Z", "value": 159 } ] } ] } ``` ### ポート帯域幅の使用状況[​](#ポート帯域幅の使用状況 "への直接リンクポート帯域幅の使用状況") ポートの帯域幅使用量を表示するには、エンドポイントにリクエストを[`/fabric/v4///metrics`](https://docs.equinix.com/ja/api-catalog/fabricv4/metrics/getmetricbyassetid.md)送信します。`GET` * `asset`は`ports` * `asset_id` は特定のポートのUUIDです クエリパラメータ: * 受信-`equinix.fabric.port.bandwidth_rx.usage` * アウトバウンド-`equinix.fabric.port.bandwidth_tx.usage` すべての帯域幅の使用状況を表示するには、リクエストのクエリパラメータとしてを指定します。`name=equinix.fabric.port.bandwidth_rx.usage&name=equinix.fabric.port.bandwidth_tx.usage`およびで期間を指定します。`fromDateTime``toDateTime` サンプルcURLリクエスト: ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/ports//metrics?name=equinix.fabric.port.bandwidth_rx.usage&name=equinix.fabric.port.bandwidth_tx.usage&fromDateTime=2025-05-12T19%3A18%3A00Z&toDateTime=2025-05-13T19%3A18%3A00Z' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` 回答例 ``` { "pagination": { "offset": 0, "limit": 10, "total": 2, "next": null, "previous": null }, "data": [ { "type": "GAUGE", "name": "equinix.fabric.port.bandwidth_rx.usage", "unit": "bit/s", "resource": { "href": "https://api.equinix.com/fabric/v4/ports/", "type": "XF_PORT", "uuid": "", "state": "PROVISIONED", "name": "TEST-PORT-NAME" }, "summary": { "mean": 198.7, "max": 219 }, "datapoints": [ { "endDateTime": "2025-05-12T19:20:47.000Z", "value": 202 }, { "endDateTime": "2025-05-12T19:25:51.000Z", "value": 192 }, { "endDateTime": "2025-05-12T19:30:51.000Z", "value": 203 }, { "endDateTime": "2025-05-12T19:35:53.000Z", "value": 194 } ] }, { "type": "GAUGE", "name": "equinix.fabric.port.bandwidth_tx.usage", "unit": "bit/s", "resource": { "href": "https://api.equinix.com/fabric/v4/ports/", "type": "XF_PORT", "uuid": "", "state": "PROVISIONED", "name": "TEST-PORT-NAME" }, "summary": { "mean": 0, "max": 0 }, "datapoints": [ { "endDateTime": "2025-05-12T19:20:47.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:25:51.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:30:51.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:35:53.000Z", "value": 0 } ] } ] } ``` ### ポートパケット廃棄[​](#ポートパケット廃棄 "への直接リンクポートパケット廃棄") ポートからドロップされたパケットの数を表示するには、エンドポイントにリクエストを[`/fabric/v4///metrics`](https://docs.equinix.com/ja/api-catalog/fabricv4/metrics/getmetricbyassetid.md)送信します。`GET` * `asset`は`ports` * `asset_id` は特定のポートのUUIDです クエリパラメータ: * 受信-`equinix.fabric.port.packets_dropped_rx.count` * アウトバウンド-`equinix.fabric.port.packets_dropped_tx.count` ドロップされたすべてのパケットの数を取得するには、リクエストのクエリパラメータとしてを指定します。`name=equinix.fabric.port.packets_dropped_rx.count&name=equinix.fabric.port.packets_dropped_tx.count`およびで期間を指定します。`fromDateTime``toDateTime` サンプルcURLリクエスト: ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/ports//metrics?name=equinix.fabric.port.packets_dropped_rx.count&name=equinix.fabric.port.packets_dropped_tx.count&fromDateTime=2025-05-12T19%3A18%3A00Z&toDateTime=2025-05-13T19%3A18%3A00Z' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` 回答例 ``` { "pagination": { "offset": 0, "limit": 10, "total": 2, "next": null, "previous": null }, "data": [ { "type": "SUM", "name": "equinix.fabric.port.packets_dropped_rx.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/ports/", "type": "XF_PORT", "uuid": "", "state": "PROVISIONED", "name": "TEST-PORT-NAME" }, "summary": { "mean": 0, "max": 0 } }, { "type": "SUM", "name": "equinix.fabric.port.packets_dropped_tx.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/ports/", "type": "XF_PORT", "uuid": "", "state": "PROVISIONED", "name": "TEST-PORT-NAME" }, "summary": { "mean": 0, "max": 0 } } ] } ``` ### ポートパケットエラー[​](#ポートパケットエラー "への直接リンクポートパケットエラー") ポートのパケットエラーを表示するには、エンドポイントにリクエストを[`/fabric/v4///metrics`](https://docs.equinix.com/ja/api-catalog/fabricv4/metrics/getmetricbyassetid.md)送信します`GET` * `asset`は`ports` * `asset_id` は特定のポートのUUIDです クエリパラメータ: * 受信-`equinix.fabric.port.packets_erred_rx.count` * アウトバウンド-`equinix.fabric.port.packets_erred_tx.count` すべてのパケットエラーの数を取得するには、リクエストのクエリパラメータとしてを指定します。`name=equinix.fabric.port.packets_erred_rx.count&name=equinix.fabric.port.packets_erred_tx.count`およびで期間を指定します。`fromDateTime``toDateTime` サンプルcURLリクエスト: ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/ports//metrics?name=equinix.fabric.port.packets_erred_rx.count&name=equinix.fabric.port.packets_erred_tx.count&fromDateTime=2025-05-12T19%3A18%3A00Z&toDateTime=2025-05-13T19%3A18%3A00Z' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` 回答例 ``` { "pagination": { "offset": 0, "limit": 10, "total": 2, "next": null, "previous": null }, "data": [ { "type": "SUM", "name": "equinix.fabric.port.packets_erred_rx.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/ports/", "type": "XF_PORT", "uuid": "", "state": "PROVISIONED", "name": "TEST-PORT-NAME" }, "summary": { "mean": 0, "max": 0 } }, { "type": "SUM", "name": "equinix.fabric.port.packets_erred_tx.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/ports/", "type": "XF_PORT", "uuid": "", "state": "PROVISIONED", "name": "TEST-PORT-NAME" }, "summary": { "mean": 0, "max": 0 } } ] } ``` ### 接続帯域幅の使用状況[​](#接続帯域幅の使用状況 "への直接リンク接続帯域幅の使用状況") 接続の帯域幅使用量を表示するには、エンドポイントにリクエストを[`/fabric/v4///metrics`](https://docs.equinix.com/ja/api-catalog/fabricv4/metrics/getmetricbyassetid.md)送信します。`GET` * `asset`は`connections` * `asset_id` は特定の接続のUUIDです クエリパラメータ: * 受信-`equinix.fabric.connection.bandwidth_rx.usage` * アウトバウンド-`equinix.fabric.connection.bandwidth_tx.usage` すべての帯域幅の使用状況を表示するには、リクエストのクエリパラメータとしてを指定します。`name=equinix.fabric.connection.bandwidth_rx.usage&name=equinix.fabric.connection.bandwidth_tx.usage`およびで期間を指定します。`fromDateTime``toDateTime` サンプルcURLリクエスト: ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/connections//metrics?name=equinix.fabric.connection.bandwidth_rx.usage&name=equinix.fabric.connection.bandwidth_tx.usage&fromDateTime=2025-05-12T19%3A18%3A00Z&toDateTime=2025-05-13T19%3A18%3A00Z' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` 回答例 ``` { "pagination": { "offset": 0, "limit": 10, "total": 2, "next": null, "previous": null }, "data": [ { "type": "GAUGE", "name": "equinix.fabric.connection.bandwidth_rx.usage", "unit": "bit/s", "resource": { "href": "https://api.equinix.com/fabric/v4/connections/", "type": "EVPL_VC", "uuid": "", "state": "PROVISIONED", "name": "TEST-CONNECTION-NAME" }, "summary": { "mean": 0, "max": 0 }, "datapoints": [ { "endDateTime": "2025-05-12T19:22:48.000Z", "value": 202 }, { "endDateTime": "2025-05-12T19:27:50.000Z", "value": 192 }, { "endDateTime": "2025-05-12T19:31:51.000Z", "value": 203 }, { "endDateTime": "2025-05-12T19:37:45.000Z", "value": 194 } ] }, { "type": "GAUGE", "name": "equinix.fabric.connection.bandwidth_tx.usage", "unit": "bit/s", "resource": { "href": "https://api.equinix.com/fabric/v4/connections/", "type": "EVPL_VC", "uuid": "", "state": "PROVISIONED", "name": "TEST-CONNECTION-NAME" }, "summary": { "mean": 0, "max": 0 }, "datapoints": [ { "endDateTime": "2025-05-12T19:22:48.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:27:50.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:31:51.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:37:45.000Z", "value": 0 } ] } ] } ``` ### 接続パケット数[​](#接続パケット数 "への直接リンク接続パケット数") 接続からドロップされたパケットを表示するには、エンドポイントにリクエストを[`/fabric/v4///metrics`](https://docs.equinix.com/ja/api-catalog/fabricv4/metrics/getmetricbyassetid.md)送信します。`GET` * `asset`は`connections` * `asset_id` は特定の接続のUUIDです メトリックは、接続の A サイド、Z サイド、インバウンド、およびアウトバウンドについて利用できます。 クエリパラメータ: * インバウンドAサイド-`equinix.fabric.connection.packets_dropped_rx_aside_rateexceeded.count` * 送信Aサイド-`equinix.fabric.connection.packets_dropped_tx_aside_rateexceeded.count` * 受信zサイド-`equinix.fabric.connection.packets_dropped_rx_zside_rateexceeded.count` * 送信zサイド-`equinix.fabric.connection.packets_dropped_tx_zside_rateexceeded.count` 接続でドロップされたパケットをすべて表示するには、リクエストのクエリパラメータとしてを指定します。`name=equinix.fabric.connection.packets_dropped_rx_aside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_tx_aside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_rx_zside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_tx_zside_rateexceeded.count`およびで期間を指定します。`fromDateTime``toDateTime` ``` curl -X 'GET' 'https://api.equinix.com/fabric/v4/connections//metrics?name=equinix.fabric.connection.packets_dropped_rx_aside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_tx_aside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_rx_zside_rateexceeded.count&name=equinix.fabric.connection.packets_dropped_tx_zside_rateexceeded.count&fromDateTime=2025-05-12T19%3A18%3A00Z&toDateTime=2025-05-13T19%3A18%3A00Z' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` 回答例 ``` { "pagination": { "offset": 0, "limit": 10, "total": 2, "next": null, "previous": null }, "data": [ { "type": "SUM", "name": "equinix.fabric.connection.packets_dropped_rx_aside_rateexceeded.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/connections/", "type": "EVPL_VC", "uuid": "", "state": "PROVISIONED", "name": "TEST-CONNECTION-NAME" }, "summary": { "mean": 0, "max": 0 }, "datapoints": [ { "endDateTime": "2025-05-12T19:28:59.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:34:01.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:36:16.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:42:12.000Z", "value": 0 } ] }, { "type": "SUM", "name": "equinix.fabric.connection.packets_dropped_tx_aside_rateexceeded.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/connections/", "type": "EVPL_VC", "uuid": "", "state": "PROVISIONED", "name": "TEST-CONNECTION-NAME" }, "summary": { "mean": 0, "max": 0 }, "datapoints": [ { "endDateTime": "2025-05-12T19:28:59.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:34:01.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:36:16.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:42:12.000Z", "value": 0 } ] }, { "type": "SUM", "name": "equinix.fabric.connection.packets_dropped_rx_zside_rateexceeded.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/connections/", "type": "EVPL_VC", "uuid": "", "state": "PROVISIONED", "name": "TEST-CONNECTION-NAME" }, "summary": { "mean": 0, "max": 0 }, "datapoints": [ { "endDateTime": "2025-05-12T19:28:59.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:34:01.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:36:16.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:42:12.000Z", "value": 0 } ] }, { "type": "SUM", "name": "equinix.fabric.connection.packets_dropped_tx_zside_rateexceeded.count", "unit": "packet", "resource": { "href": "https://api.equinix.com/fabric/v4/connections/", "type": "EVPL_VC", "uuid": "", "state": "PROVISIONED", "name": "TEST-CONNECTION-NAME" }, "summary": { "mean": 0, "max": 0 }, "datapoints": [ { "endDateTime": "2025-05-12T19:28:59.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:34:01.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:36:16.000Z", "value": 0 }, { "endDateTime": "2025-05-12T19:42:12.000Z", "value": 0 } ] } ] } ``` ## メトリックアラートの作成[​](#メトリックアラートの作成 "への直接リンクメトリックアラートの作成") ストリームアラートルール管理APIを使用して、メトリクスが定義されたしきい値を超えたときにイベントを作成します。詳細については、「メ[トリックアラートルールの管理」を](https://docs.equinix.com/ja/observability/streaming-data/api-managing-metric-alert-rules.md)参照してください。 ## シンク統合でのメトリクス受信[​](#シンク統合でのメトリクス受信 "への直接リンクシンク統合でのメトリクス受信") ストリームを作成し、そのストリームにアセットを追加したら、[サブスクリプションを作成して、](https://docs.equinix.com/ja/observability/streaming-data/create-subscription.md)選択したサードパーティのデータコレクタにメトリクスを送信できます。メトリクスは5分間隔で送信されます。